Skip to navigation

Updates brand for an existing workspace

View as Markdown

Note: This endpoint is in beta.

This operation updates brand for a specific workspace. It returns the brand details such as its unique identifier (ID), name, and metadata such as brand colors and logos.

Authentication

AuthorizationBearer
JWT Bearer token from Docusign authorization server

Path parameters

accountIdstringRequiredformat: "uuid"
The ID of the account
workspaceIdstringRequiredformat: "uuid"
The ID of the workspace

Request

This endpoint expects an object.
brand_idstring or nullOptionalformat: "uuid"

A GUID value that identifies a brand. For more information, see Branding

Response

Workspace brand successfully updated
colorslist of objects or null
brand_languageslist of strings or null
brand_idstring or nullOptional
brand_namestring or nullOptional
brand_companystring or nullOptional
logosobjectOptional
default_brand_languagestring or nullOptional
is_sending_defaultbooleanOptional
is_signing_defaultbooleanOptional
primary_logo_idstring or nullOptional
secondary_logo_idstring or nullOptional
email_logo_idstring or nullOptional

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error